Automatically post welcome message to new users' talk pages
Closed, ResolvedPublic

Description

Author: brian

Description:
See bug 3456 (this is part of it and the other part has
been fixed; the RESOLVED status is misleading).


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz4914.
bzimport created this task.Via LegacyFeb 8 2006, 5:06 AM
bzimport added a comment.Via ConduitMay 15 2006, 12:22 PM

jeluf wrote:

What is this good for?

You could simply use [[Mediawiki:welcomecreation]] to show a nice message to new
users.

bzimport added a comment.Via ConduitMay 15 2006, 1:44 PM

Eugene.Zelenko wrote:

It could replace bot. I think in big projects like English Wikipedia or Commons
it could save time by manual addition of {{welcome}} template.

bzimport added a comment.Via ConduitMay 16 2006, 12:10 AM

brian wrote:

Any message we should the user, we want an easy way to find that message, in case they want to see it
again, their computer crashes, they want to edit it, etc. Thus posting to talk pages is better than using
MediaWiki:Welcomecreation.

Raymond added a comment.Via ConduitMar 7 2007, 9:32 AM
  • Bug 9079 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitDec 7 2007, 5:42 AM

webmaster wrote:

What about a boolean switch in the user table?

The welcome message would be on (boolean TRUE) by default for all new users; shown at the top of their user page.
It could be 'dismissed' by a dismiss button/link to the side of the message, at the users discretion.
This dismiss button/link would flip the user_welcome=TRUE (1) to FALSE (0) in their user record of the user table.

The message could be admin defined in MediaWiki:WelcomeMessage or something...

This solution would be extremely cheap from a SQL perspective and take almost no space in the DB at all.

SELECT user_welcome FROM user WHERE user_id = 12345

Would return one row, one value. (Obviously might want to integrate this with another query already being run on user table)
If TRUE (1), display message.
If FALSE (0), don't.

The MediaWiki:WelcomeMessage would be cached, I assume. (Also cheap)

Such a feature would eliminate the need for welcome bots and literally thousands of hours of 'manual welcomes'.

Thoughts?

bzimport added a comment.Via ConduitDec 9 2007, 2:42 AM

brian wrote:

(In reply to comment #6)

It could be 'dismissed' by a dismiss button/link to the side of the message, at
the users discretion.

This is the way other messages are sometimes displayed currently. I like the idea of the "dismiss" link next to the message, but I think that users should also be able to change it through the preferences page.

bzimport added a comment.Via ConduitMay 12 2008, 9:26 PM

Eugene.Zelenko wrote:

Looks like NewUserMessage (http://www.mediawiki.org/wiki/Extension:NewUserMessage) will do this job

Add Comment